
<!-- 
==========================================================================================
     A. Veneziani - Esempio di blog elementare basato su memorizzazione su file in PHP 5

==========================================================================================   
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Blog elementare</title>
</head>
<style>
<!--
body {
	background-color: #FFFF99;
}
.Stile7 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold; }
.Stile10 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px; }
-->
</style>
</head>

<body>
<?php

    // legge una riga da un testo in un file a caratteri
    function leggi_riga($fp)
	{
	    $ln = "";
		$ch = fgetc($fp);
		// se non si e' raggiunto un fine linea
		// o non si e' raggiunta la fine del file continua
		// a leggere caratteri
	    while (($ch != chr(13)) && (! feof($fp)))
		{
		    // se i caratteri letti non sono di fine linea
			// (line feed) o ( carriage return) li inserisce 
			// nella stringa che rappresnta la linea
		    if (($ch != chr(13)) && ($ch != chr(10))) $ln = $ln . $ch;
   		    $ch = fgetc($fp);		
		}
		
	    return($ln);	// ritorna quanto letto sulla singola riga di testo...
	}
	
	
	// controlla se il file contenente i messaggi esiste
	if (file_exists("./messaggi.txt"))
	{	     
	    // apre il file in lettura
     	$fp = fopen("./messaggi.txt","r");	
		
		// finche' non si raggiunge la fine file...
		while (! feof($fp))
		{   
             // lettura dei dati presenti sempre sulle prime tre righe
			 // (vale a dire data e ora messaggio, utente e oggetto del messaggio)
		     $data_e_ora = leggi_riga($fp);
		     $utente = leggi_riga($fp);			  
			 $oggetto = leggi_riga($fp);
			 
			 // lettura (multiriga) del messaggio 
			 $messaggio = "";
			 $riga = " ";
			 // ciclo di lettura della varie righe che si ferma
			 // solo incontrando una riga separatrice (----) o un end of file (eof)			 
			 while ((strcmp($riga,"----") != 0) && (! feof($fp)))
			 {
			     $riga = leggi_riga($fp);
				 if (strcmp($riga,"----") != 0)   $messaggio = $messaggio . $riga;

			 }	
			 
			 // se dopo le letture si e' 
			 // verificato un eof forza un uscita dal ciclo
			 if (feof($fp))  break;
				 

?>	
<!-- visualizzazione dei vari campi in una tabella -->
<table width="451" border="0" align="center">
  <tr>
    <td width="127" height="33" bgcolor="#FFFF66"><span class="Stile7">Data/Ora:</span></td>
    <td width="314" bgcolor="#FFFF66"><span class="Stile10"><?php echo $data_e_ora; ?></span></td>
  </tr>
  <tr>
    <td height="31" bgcolor="#FFFF66"><span class="Stile7">Utente:</span></td>
    <td bgcolor="#FFFF66"><span class="Stile10"><?php echo $utente; ?></span></td>
  </tr>
  <tr>
    <td height="27" bgcolor="#FFFF66"><span class="Stile7">Oggetto:</span></td>
    <td bgcolor="#FFFF66"><span class="Stile10"><?php echo $oggetto; ?></span></td>
  </tr>
  <tr>
    <td height="52" bgcolor="#FFFF66"><span class="Stile7">Messaggio:</span></td>
    <td bgcolor="#FFFF66"><span class="Stile10"><?php echo $messaggio; ?></span></td>
  </tr>
</table>
<p>
  <?php  
         }   // chiusura if e 1° while
     }   
  ?>
  </p>
<hr />
<!-- sezione per il submit di nuovi messaggi -->
<form action="inserisci.php" method="POST">
<table width="460" height="330" border="0" align="center" cellspacing="3" bgcolor="#FFFF99">
  <tr>
    <td width="137" height="56" bgcolor="#FFFF66"><span class="Stile7">Oggetto:</span></td>
    <td width="313" bgcolor="#FFFF66">
      
      <div align="left">
        <input name="oggetto" type="text" id="oggetto" size="40" />
      </div></td>
  </tr>
  <tr>
    <td height="208" bgcolor="#FFFF66"><span class="Stile7">Messaggio:</span></td>
    <td bgcolor="#FFFF66">
      <div align="left">
        <textarea name="messaggio" cols="40" rows="10" id="messaggio"></textarea>
      </div></td>
  </tr>
  <tr>
    <td height="54" colspan="2" bgcolor="#FFFF66"><div align="center">
      <input type="submit" name="button" id="button" value="Invia" />
    </div></td>
  </tr>
</table>
</body>
</html>
